Buy Philips Electric Shaver Wet & Dry S1121 Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Philips Electric Shaver Wet & Dry S1121

PRODUCT CODE: PH-S1121

0
0
0
0
0

Rs. 18,499

Reward Points Icon

Earn 92 RED points with this purchase More Info

Offer Icon

Special Discount - Checkout using Seylan Bank payment method and get extra 10% off T&C

T&C ×

Special Discount - Checkout Using Seylan Bank Payment Methods And Get Extra Discount.
Offer Icon

Pay in 3 X Rs. 6,166 with mint-pay koko

This product is out of stock in our website.
But, you can find a store near you to purchase offline.

Delivery - Standard 3 To 5 Working Days.

2 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Operating Time 40 minutes of cordless shaving
Charging Time 8 hour charge
Battery Type NiMH
Functions Aquatec for a refreshing wet or convenient dry shave
Technology Get a clean shave that's comfortable on your skin. Rounded blade caps shield 27 selfsharpening blades to gently cut hair just above skin level and help the shaver glide smoothly over your skin.
Wet & Dry Usage Yes
Special Features Get a consistently clean shave every time with 27 self-sharpening precision-engineered blades
Voltage 100-240 V
Safety / Protection Designed to prevent nicks and cuts for a clean and protective shave. The Skin Protection System glides smoothly across your skin with its rounded-head profile, while keeping your skin protected.
Other Information Clean the shaver with ease. At the touch of a button, flip open the shaver head and rinse with wate
Warranty 2 Years

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Singer Hand Carry Hair Dryer BY503
bank offer

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Philips OneBlade Face Rechargeable Shaver QP1424
bank offer

PH-QP1424

0
0
0
0
0
Philips OneBlade Face Rechargeable Shaver QP1...
Rs 13,950
Singer Rechargeable Hair Clipper With Two Detachable Combs
bank offer

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Philips Beard Trimmer BT1230 - Stainless Steel Blades
bank offer

PH-NBT1230

0
0
0
0
0
Philips Beard Trimmer BT1230 - Stainless Stee...
Rs 6,950
Phlips Nose Trimmer NT3650 - Trim Nose, Ear & Brows Hair
bank offer

PH-NNT3650

0
0
0
0
0
Phlips Nose Trimmer NT3650 - Trim Nose, Ear &...
Rs 8,950
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
bank offer

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Singer Hair Clipper - SIN-RFC-1819
bank offer

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off
Philips Beard Trimmer BT1235 - Stainless Steel Blades
bank offer

PH-NBT1235

0
0
0
0
0
Philips Beard Trimmer BT1235 - Stainless Stee...
Rs 8,950

Frequently Bought Items

BLACK+DECKER Pressure Washer BEPW1300/1600 - 1300W, 110Bars

BD-BEPW1300-B5

0
0
0
0
0
BLACK+DECKER Pressure Washer BEPW1300/1600 -...
Rs 47,900
BLACK+DECKER Digital AeroFry Air Fryer AF400-B5 - 4.0L

BD-AF400-B5

0
0
0
0
0
BLACK+DECKER Digital AeroFry Air Fryer AF400-...
Rs 59,900
Canon Ink Cartridge - PG-746 (Colour)

CAN-C-746-C

0
0
0
0
0
Canon Ink Cartridge - PG-746 (Colour)
Rs 15,599
Indesit Cooker Hood, Angled, Air Flow 647m3h
bank offer

IND-IHVP66LMK

0
0
0
0
0
Indesit Cooker Hood, Angled, Air Flow 647m3h
Rs 91,299
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products